Bug 102547 - vnc compile error
vnc compile error
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vnc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-08-17 05:56 EDT by Michael Redinger
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: 4.0-0.beta3.5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-18 09:24:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Redinger 2003-08-17 05:56:15 EDT
The current vnc source package, vnc-4.0-0.beta3.5.2.src.rpm, cannot be built on
Taroon because of a compile error (no problem with vnc-4.0-0.beta3.5.src.rpm):

make[1]: Entering directory
c++   -I.. -DHAVE_VSNPRINTF -O2 -g -pipe -march=i386 -mcpu=i686 -Wall -DPIC
-fPIC -c Region.cxx
Region.cxx: In constructor `rfb::Region::Region()':
Region.cxx:56: invalid conversion from `_XRegion*' to `long int'
Region.cxx: In constructor `rfb::Region::Region(const rfb::Rect&)':
Region.cxx:61: invalid conversion from `_XRegion*' to `long int'
Region.cxx: In copy constructor `rfb::Region::Region(const rfb::Region&)':
Region.cxx:67: invalid conversion from `_XRegion*' to `long int'
make[1]: *** [Region.o] Error 1
make[1]: Leaving directory `/usr/local/es/taroon/RedHat/BUILD/vnc-4.0b3-unixsrc/rfb'
make: *** [all] Error 1
Comment 1 Tim Waugh 2003-08-18 09:24:01 EDT
Fixed in vnc-4.0-0.beta3.5.3.

Note You need to log in before you can comment on or make changes to this bug.